Details

    • Type: Story
    • Status: Verify (View Workflow)
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Share Application
    • Labels:
      None
    • Work Funnel:
      Architecture
    • Sprint:
      Repo vulnerabilities sprint 2
    • Story Points:
      13
    • Delivery Team:
      Customer Excellence
    • Template:

      Description

      As a developer I would like to have a supported Spring 5.2.N version used in the project.

      Spring Framework 5.1 will be EOL in 2020 according to this https://github.com/spring-projects/spring-framework/wiki/Spring-Framework-Versions.

      Acceptance criteria:

      • Spring updated to the 5.2 line (at least Spring framework 5.2.2 and Spring Security 5.2.1)
      • Documentation issues raised to reflect this change (e.g. changes to samples)

      Notes:

      • Repository part was already updated to use Spring framework 5.2.2 and Spring Security 5.2.1 in it's next to be release version (e.g. 6.3)
      • For update details and documentation please see comment from REPO-4751

        Attachments

          Issue Links

            Structure

              Activity

                People

                • Assignee:
                  shareteam Share Team
                  Reporter:
                  cturlica Cristian Turlica
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  6 Start watching this issue

                  Dates

                  • Created:
                    Updated:

                    Structure Helper Panel